package rps;

import org.actorsguildframework.Agent;
import org.actorsguildframework.DefaultAgent;
import org.actorsguildframework.Props;

public class RockPaperScissors {

  public static void main(String[] args) {
    Agent agent1 = new DefaultAgent();
    Player player1 = agent1.create(Player.class, new Props("name", "Player 1"));

    Agent agent2 = new DefaultAgent();
    Player player2 = agent2.create(Player.class, new Props("name", "Player 2"));

    Agent agent3 = new DefaultAgent();
    Props props = new Props("player1", player1);
    props = props.add("player2", player2);
    Coordinator coordinator = agent3.create(Coordinator.class, props);
    
    coordinator.start();
    
    try {
      Thread.sleep(30000);
    } catch(InterruptedException e) {
    }
  }
}
