package rps.msg;

import org.actorsguildframework.Immutable;

public class ThrowMessage implements Immutable {
  private final String player;
  private final Move move;
  
  public ThrowMessage(String player, Move move) {
    this.player = player;
    this.move = move;
  }
  
  public Move getMove() {
    return this.move;
  }
  
  public String getPlayer() {
    return this.player;
  }
  
  public String toString() {
    return player + " (" + move + ")";
  }
}
