package rps;

import kilim.Mailbox;
import rps.msg.Message;
import rps.msg.PlayMessage;
import rps.msg.StartMessage;

public class RockPaperScissors {

  public static void main(String[] args) {
    Mailbox<PlayMessage> player1Inbox = new Mailbox<PlayMessage>();
    Mailbox<PlayMessage> player2Inbox = new Mailbox<PlayMessage>();
    Mailbox<Message> coordinatorInbox = new Mailbox<Message>();
    
    new Player("Player 1", player1Inbox).start();
    new Player("Player 2", player2Inbox).start();
    Coordinator coordinator = new Coordinator(coordinatorInbox, player1Inbox, player2Inbox);
    coordinator.start();
    
    coordinatorInbox.putnb(StartMessage.INSTANCE);
    
    try {
      Thread.sleep(5000);
    } catch(InterruptedException e) {
    }
  }
}
